Get Site Audit
string
required
Your API key
curl https://neariq.io/api/v1/site-audit \
-H "X-NearIQ-Key: niq_live_xxx"
Response
{
"audit": {
"id": "uuid",
"url": "https://example.com",
"overallScore": 78,
"seoScore": 82,
"aeoScore": 71,
"performanceScore": 85,
"issues": [...],
"meta": {...},
"links": {...},
"performance": {...},
"schemaOrg": {...},
"contentAnalysis": {...},
"aiReadiness": {...},
"createdAt": "2026-05-31T..."
},
"monthlyLimit": 5,
"_receipt": {...}
}
Fields
| Field | Type | Description |
|---|---|---|
overallScore | number | Combined SEO + AI readiness score (0-100) |
seoScore | number | Technical SEO score (0-100) |
aeoScore | number | AI Engine Optimization score (0-100) |
performanceScore | number | Core Web Vitals performance score (0-100) |
issues | array | List of SEO issues found with severity |
meta | object | Title, description, canonical, robots analysis |
links | object | Internal/external link analysis, broken links |
performance | object | LCP, CLS, TTFB, Speed Index metrics |
schemaOrg | object | Structured data analysis |
contentAnalysis | object | Heading structure, keyword density, readability |
aiReadiness | object | AI search engine optimization factors |
Plan requirements
- Starter: 1 audit/month
- Growth: 5 audits/month
- Beta: 10 audits/month
- Agency+: 30+ audits/month